local FC = ...

if not FC:directoryExists("config") then FC:createDirectory("config") end
if not FC:directoryExists("config\\profiles") then FC:createDirectory("config\\profiles") end

local json = FC:dofile("scripts\\dkjson.lua")
local jstr = ""
local FCtemplates = {["main"] = {},["profiles"] = {}}


if not FC:fileExists("config\\mainConfig.json") then
	FCtemplates["main"]["version"] = "0.4"
	FCtemplates["main"]["activeProfile"] = "vanilla"
	FCtemplates["main"]["villagerNames"] = true
	FCtemplates["main"]["welcomeEvent"] = true 
	FCtemplates["main"]["creativeBuildings"]= false
	FCtemplates["main"]["creativeHappiness"]= false
	FCtemplates["main"]["fountain"]= true
	FCtemplates["main"]["profiles"] = {"vanilla","creative"}
	FCtemplates["main"]["addResourceQuest"] = true

	jstr = json.encode (FCtemplates["main"], { indent = false })
	FC:writeFileAsString("config\\mainConfig.json", jstr)
	
end


if not FC:fileExists("config\\Profiles\\creative.json") then
	FCtemplates["profiles"]["creative"] = {}
	FCtemplates["profiles"]["creative"]["version"] = 0.5
	FCtemplates["profiles"]["creative"]["balancing"] = {}
	FCtemplates["profiles"]["creative"]["balancing"]["dayDuration"] = 60
	FCtemplates["profiles"]["creative"]["balancing"]["startingFamilies"] = 10
	FCtemplates["profiles"]["creative"]["balancing"]["minHappiness"] = -99999
--	FCtemplates["profiles"]["creative"]["balancing"]["villagerStatusQuota"] = "VILLAGER_STATUS_QUOTA_DEFAULT"
	FCtemplates["profiles"]["creative"]["balancing"]["territoryPrice"] = {{Resource = "GOLD",Quantity = 0}}
	FCtemplates["profiles"]["creative"]["balancing"]["territoryTaxes"] = {{{Resource = "GOLD",Quantity = 0}},{{Resource = "GOLD",Quantity = 0}},{{Resource = "GOLD",Quantity = 0}},{{Resource = "GOLD",Quantity = 0}}}
	FCtemplates["profiles"]["creative"]["balancing"]["startingTileRequirement"] = {{Resource = "BERRIES", Quantity = 0},{Resource = "STONE", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["balancing"]["daysBetweenEvents"] = 30
	FCtemplates["profiles"]["creative"]["balancing"]["daysToFirstEvent"] = 15
	FCtemplates["profiles"]["creative"]["balancing"]["goldCapacity"] = 1000000
	FCtemplates["profiles"]["creative"]["balancing"]["treeGrowSpeed"] = 0.001
	FCtemplates["profiles"]["creative"]["balancing"]["initialTreeSize"] = 1
	FCtemplates["profiles"]["creative"]["balancing"]["minSizeToGather"] = 0.75
	FCtemplates["profiles"]["creative"]["balancing"]["minSizeToHunt"] = 0.75
	FCtemplates["profiles"]["creative"]["balancing"]["fertilityImpactHardRadius"] = 0
	FCtemplates["profiles"]["creative"]["balancing"]["fertilityImpactSoftRadius"] = 0
	FCtemplates["profiles"]["creative"]["balancing"]["fertilityImpact"] = 0
--	FCtemplates["profiles"]["creative"]["balancing"]["delayedQuestList"] = {{QuestResource = "INFLUENCE_QUEST", Delay = 0}} 

	FCtemplates["profiles"]["creative"]["buildings"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WOODCUTTER_CAMP"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WOODCUTTER_CAMP"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WOODCUTTER_CAMP"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WOODCUTTER_CAMP"]["buildingParts"]= {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WOODCUTTER_CAMP"]["buildingParts"]["BUILDING_PART_WOODCUTTER_CAMP"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WOODCUTTER_CAMP"]["buildingParts"]["BUILDING_PART_WOODCUTTER_CAMP"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WOODCUTTER_CAMP"]["buildingParts"]["BUILDING_PART_WOODCUTTER_CAMP"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WOODCUTTER_CAMP"]["buildingParts"]["BUILDING_PART_WOODCUTTER_CAMP"]["buildingCost"] = {{Resource = "TOOL", Quantity = 0}}	
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_STONECUTTER_CAMP"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_STONECUTTER_CAMP"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_STONECUTTER_CAMP"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_STONECUTTER_CAMP"]["buildingParts"]= {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_STONECUTTER_CAMP"]["buildingParts"]["BUILDING_PART_STONECUTTER_CAMP"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_STONECUTTER_CAMP"]["buildingParts"]["BUILDING_PART_STONECUTTER_CAMP"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_STONECUTTER_CAMP"]["buildingParts"]["BUILDING_PART_STONECUTTER_CAMP"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_STONECUTTER_CAMP"]["buildingParts"]["BUILDING_PART_STONECUTTER_CAMP"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0},{Resource = "TOOL", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_GATHERING_CAMP"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_GATHERING_CAMP"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_GATHERING_CAMP"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_GATHERING_CAMP"]["buildingParts"]= {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_GATHERING_CAMP"]["buildingParts"]["BUILDING_PART_GATHERING_CAMP"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_GATHERING_CAMP"]["buildingParts"]["BUILDING_PART_GATHERING_CAMP"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_GATHERING_CAMP"]["buildingParts"]["BUILDING_PART_GATHERING_CAMP"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_GATHERING_CAMP"]["buildingParts"]["BUILDING_PART_GATHERING_CAMP"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WELL_UNEXPOSED"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WELL_UNEXPOSED"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WELL_UNEXPOSED"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WELL_UNEXPOSED"]["buildingParts"]= {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WELL_UNEXPOSED"]["buildingParts"]["BUILDING_PART_WELL"] ={}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WELL_UNEXPOSED"]["buildingParts"]["BUILDING_PART_WELL"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WELL_UNEXPOSED"]["buildingParts"]["BUILDING_PART_WELL"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WELL_UNEXPOSED"]["buildingParts"]["BUILDING_PART_WELL"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0},{Resource = "STONE", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_SAWMILL"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_SAWMILL"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_SAWMILL"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_SAWMILL"]["buildingParts"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_SAWMILL"]["buildingParts"]["BUILDING_PART_SAWMILL"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_SAWMILL"]["buildingParts"]["BUILDING_PART_SAWMILL"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_SAWMILL"]["buildingParts"]["BUILDING_PART_SAWMILL"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_SAWMILL"]["buildingParts"]["BUILDING_PART_SAWMILL"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0},{Resource = "STONE", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WAREHOUSE"] ={}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WAREHOUSE"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WAREHOUSE"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WAREHOUSE"]["buildingParts"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WAREHOUSE"]["buildingParts"]["BUILDING_PART_WAREHOUSE"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WAREHOUSE"]["buildingParts"]["BUILDING_PART_WAREHOUSE"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WAREHOUSE"]["buildingParts"]["BUILDING_PART_WAREHOUSE"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WAREHOUSE"]["buildingParts"]["BUILDING_PART_WAREHOUSE"]["buildingCost"] = {{Resource = "PLANK", Quantity = 0},{Resource = "STONE", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FISHING_HUT"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FISHING_HUT"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FISHING_HUT"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FISHING_HUT"]["buildingParts"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FISHING_HUT"]["buildingParts"]["BUILDING_PART_FISHING_HUT"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FISHING_HUT"]["buildingParts"]["BUILDING_PART_FISHING_HUT"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FISHING_HUT"]["buildingParts"]["BUILDING_PART_FISHING_HUT"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FISHING_HUT"]["buildingParts"]["BUILDING_PART_FISHING_HUT"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_HUNTERS_HUT"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_HUNTERS_HUT"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_HUNTERS_HUT"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FORESTER"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FORESTER"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FORESTER"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FORESTER"]["buildingParts"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FORESTER"]["buildingParts"]["BUILDING_PART_FORESTER"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FORESTER"]["buildingParts"]["BUILDING_PART_FORESTER"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FORESTER"]["buildingParts"]["BUILDING_PART_FORESTER"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FORESTER"]["buildingParts"]["BUILDING_PART_FORESTER"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_STONEMASON_HUT"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_STONEMASON_HUT"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_STONEMASON_HUT"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_STONEMASON_HUT"]["buildingParts"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_STONEMASON_HUT"]["buildingParts"]["BUILDING_PART_STONEMASON"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_STONEMASON_HUT"]["buildingParts"]["BUILDING_PART_STONEMASON"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_STONEMASON_HUT"]["buildingParts"]["BUILDING_PART_STONEMASON"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_STONEMASON_HUT"]["buildingParts"]["BUILDING_PART_STONEMASON"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_HOUSE_LVL1_UNEXPOSED"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_HOUSE_LVL1_UNEXPOSED"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_HOUSE_LVL1_UNEXPOSED"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_HOUSE_LVL1_UNEXPOSED"]["buildingParts"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_HOUSE_LVL1_UNEXPOSED"]["buildingParts"]["BUILDING_PART_HOUSE_LVL1"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_HOUSE_LVL1_UNEXPOSED"]["buildingParts"]["BUILDING_PART_HOUSE_LVL1"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_HOUSE_LVL1_UNEXPOSED"]["buildingParts"]["BUILDING_PART_HOUSE_LVL1"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_HOUSE_LVL1_UNEXPOSED"]["buildingParts"]["BUILDING_PART_HOUSE_LVL1"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_SHEEP_FARM"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_SHEEP_FARM"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_SHEEP_FARM"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_SHEEP_FARM"]["buildingParts"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_SHEEP_FARM"]["buildingParts"]["BUILDING_PART_SHEEP_FARM"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_SHEEP_FARM"]["buildingParts"]["BUILDING_PART_SHEEP_FARM"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_SHEEP_FARM"]["buildingParts"]["BUILDING_PART_SHEEP_FARM"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_SHEEP_FARM"]["buildingParts"]["BUILDING_PART_SHEEP_FARM"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WEAVER_HUT"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WEAVER_HUT"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WEAVER_HUT"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WEAVER_HUT"]["buildingParts"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WEAVER_HUT"]["buildingParts"]["BUILDING_PART_WEAVER_HUT"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WEAVER_HUT"]["buildingParts"]["BUILDING_PART_WEAVER_HUT"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WEAVER_HUT"]["buildingParts"]["BUILDING_PART_WEAVER_HUT"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WEAVER_HUT"]["buildingParts"]["BUILDING_PART_WEAVER_HUT"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_TAILOR_WORKSHOP"]= {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_TAILOR_WORKSHOP"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_TAILOR_WORKSHOP"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_TAILOR_WORKSHOP"]["buildingParts"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_TAILOR_WORKSHOP"]["buildingParts"]["BUILDING_PART_TAILOR_WORKSHOP"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_TAILOR_WORKSHOP"]["buildingParts"]["BUILDING_PART_TAILOR_WORKSHOP"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_TAILOR_WORKSHOP"]["buildingParts"]["BUILDING_PART_TAILOR_WORKSHOP"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_TAILOR_WORKSHOP"]["buildingParts"]["BUILDING_PART_TAILOR_WORKSHOP"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WHEAT_FARM"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WHEAT_FARM"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WHEAT_FARM"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WHEAT_FARM"]["buildingParts"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WHEAT_FARM"]["buildingParts"]["BUILDING_PART_WHEAT_FARM"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WHEAT_FARM"]["buildingParts"]["BUILDING_PART_WHEAT_FARM"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WHEAT_FARM"]["buildingParts"]["BUILDING_PART_WHEAT_FARM"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WHEAT_FARM"]["buildingParts"]["BUILDING_PART_WHEAT_FARM"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WINDMILL"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WINDMILL"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WINDMILL"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WINDMILL"]["buildingParts"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WINDMILL"]["buildingParts"]["BUILDING_PART_WINDMILL"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WINDMILL"]["buildingParts"]["BUILDING_PART_WINDMILL"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WINDMILL"]["buildingParts"]["BUILDING_PART_WINDMILL"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WINDMILL"]["buildingParts"]["BUILDING_PART_WINDMILL"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_BAKERY"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_BAKERY"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_BAKERY"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_BAKERY"]["buildingParts"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_BAKERY"]["buildingParts"]["BUILDING_PART_BAKERY"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_BAKERY"]["buildingParts"]["BUILDING_PART_BAKERY"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_BAKERY"]["buildingParts"]["BUILDING_PART_BAKERY"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_BAKERY"]["buildingParts"]["BUILDING_PART_BAKERY"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_IRON_MINE"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_IRON_MINE"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_IRON_MINE"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_IRON_MINE"]["buildingParts"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_IRON_MINE"]["buildingParts"]["BUILDING_PART_IRON_MINE"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_IRON_MINE"]["buildingParts"]["BUILDING_PART_IRON_MINE"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_IRON_MINE"]["buildingParts"]["BUILDING_PART_IRON_MINE"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_IRON_MINE"]["buildingParts"]["BUILDING_PART_IRON_MINE"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_IRON_SMELTER"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_IRON_SMELTER"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_IRON_SMELTER"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_IRON_SMELTER"]["buildingParts"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_IRON_SMELTER"]["buildingParts"]["BUILDING_PART_IRON_SMELTER"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_IRON_SMELTER"]["buildingParts"]["BUILDING_PART_IRON_SMELTER"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_IRON_SMELTER"]["buildingParts"]["BUILDING_PART_IRON_SMELTER"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_IRON_SMELTER"]["buildingParts"]["BUILDING_PART_IRON_SMELTER"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_BLACKSMITH"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_BLACKSMITH"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_BLACKSMITH"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_BLACKSMITH"]["buildingParts"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_BLACKSMITH"]["buildingParts"]["BUILDING_PART_BLACKSMITH"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_BLACKSMITH"]["buildingParts"]["BUILDING_PART_BLACKSMITH"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_BLACKSMITH"]["buildingParts"]["BUILDING_PART_BLACKSMITH"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_BLACKSMITH"]["buildingParts"]["BUILDING_PART_BLACKSMITH"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_COAL_HUT"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_COAL_HUT"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_COAL_HUT"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_COAL_HUT"]["buildingParts"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_COAL_HUT"]["buildingParts"]["BUILDING_PART_COAL_HUT"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_COAL_HUT"]["buildingParts"]["BUILDING_PART_COAL_HUT"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_COAL_HUT"]["buildingParts"]["BUILDING_PART_COAL_HUT"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_COAL_HUT"]["buildingParts"]["BUILDING_PART_COAL_HUT"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_VINEYARD"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_VINEYARD"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_VINEYARD"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_VINEYARD"]["buildingParts"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_VINEYARD"]["buildingParts"]["BUILDING_PART_VINEYARD"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_VINEYARD"]["buildingParts"]["BUILDING_PART_VINEYARD"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_VINEYARD"]["buildingParts"]["BUILDING_PART_VINEYARD"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_VINEYARD"]["buildingParts"]["BUILDING_PART_VINEYARD"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_MARKET"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_MARKET"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_MARKET"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_MARKET"]["buildingParts"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_MARKET"]["buildingParts"]["BUILDING_PART_MARKET_FOOD_STALL"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_MARKET"]["buildingParts"]["BUILDING_PART_MARKET_FOOD_STALL"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_MARKET"]["buildingParts"]["BUILDING_PART_MARKET_FOOD_STALL"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_MARKET"]["buildingParts"]["BUILDING_PART_MARKET_FOOD_STALL"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_MARKET"]["buildingParts"]["BUILDING_PART_MARKET_GOODS_STALL"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_MARKET"]["buildingParts"]["BUILDING_PART_MARKET_GOODS_STALL"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_MARKET"]["buildingParts"]["BUILDING_PART_MARKET_GOODS_STALL"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_MARKET"]["buildingParts"]["BUILDING_PART_MARKET_GOODS_STALL"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_MARKET"]["buildingParts"]["BUILDING_PART_MARKET_LUXURY_STALL"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_MARKET"]["buildingParts"]["BUILDING_PART_MARKET_LUXURY_STALL"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_MARKET"]["buildingParts"]["BUILDING_PART_MARKET_LUXURY_STALL"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_MARKET"]["buildingParts"]["BUILDING_PART_MARKET_LUXURY_STALL"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_WOODEN_BRIDGE"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_WOODEN_BRIDGE"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_WOODEN_BRIDGE"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_RUSTIC_LORD_MANOR"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_RUSTIC_LORD_MANOR"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_RUSTIC_LORD_MANOR"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_WOODEN_KEEP"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_WOODEN_KEEP"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_WOODEN_KEEP"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_MONASTERY"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_MONASTERY"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_MONASTERY"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_CHURCH"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_CHURCH"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_CHURCH"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_RUSTIC_CHURCH"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_RUSTIC_CHURCH"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_RUSTIC_CHURCH"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_STONE_BRIDGE"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_STONE_BRIDGE"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["MONUMENT_STONE_BRIDGE"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_DECORATIVE_BUSH"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_DECORATIVE_BUSH"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_DECORATIVE_BUSH"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_DECORATIVE_BUSH"]["buildingParts"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_DECORATIVE_BUSH"]["buildingParts"]["BUILDING_PART_DECORATIVE_BUSH"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_DECORATIVE_BUSH"]["buildingParts"]["BUILDING_PART_DECORATIVE_BUSH"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_DECORATIVE_BUSH"]["buildingParts"]["BUILDING_PART_DECORATIVE_BUSH"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_DECORATIVE_BUSH"]["buildingParts"]["BUILDING_PART_DECORATIVE_BUSH"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_DECORATIVE_CYPRES"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_DECORATIVE_CYPRES"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_DECORATIVE_CYPRES"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_DECORATIVE_CYPRES"]["buildingParts"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_DECORATIVE_CYPRES"]["buildingParts"]["BUILDING_PART_DECORATIVE_CYPRES"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_DECORATIVE_CYPRES"]["buildingParts"]["BUILDING_PART_DECORATIVE_CYPRES"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_DECORATIVE_CYPRES"]["buildingParts"]["BUILDING_PART_DECORATIVE_CYPRES"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_DECORATIVE_CYPRES"]["buildingParts"]["BUILDING_PART_DECORATIVE_CYPRES"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_DECORATIVE_TREE"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_DECORATIVE_TREE"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_DECORATIVE_TREE"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_DECORATIVE_TREE"]["buildingParts"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_DECORATIVE_TREE"]["buildingParts"]["BUILDING_PART_DECORATIVE_TREE"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_DECORATIVE_TREE"]["buildingParts"]["BUILDING_PART_DECORATIVE_TREE"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_DECORATIVE_TREE"]["buildingParts"]["BUILDING_PART_DECORATIVE_TREE"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_DECORATIVE_TREE"]["buildingParts"]["BUILDING_PART_DECORATIVE_TREE"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FENCE"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FENCE"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FENCE"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FENCE"]["buildingParts"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FENCE"]["buildingParts"]["BUILDING_PART_FENCE"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FENCE"]["buildingParts"]["BUILDING_PART_FENCE"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FENCE"]["buildingParts"]["BUILDING_PART_FENCE"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FENCE"]["buildingParts"]["BUILDING_PART_FENCE"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_ROAD_SIGN"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_ROAD_SIGN"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_ROAD_SIGN"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FOUNTAIN"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FOUNTAIN"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FOUNTAIN"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FOUNTAIN"]["buildingParts"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FOUNTAIN"]["buildingParts"]["BUILDING_PART_FOUNTAIN"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FOUNTAIN"]["buildingParts"]["BUILDING_PART_FOUNTAIN"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FOUNTAIN"]["buildingParts"]["BUILDING_PART_FOUNTAIN"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_FOUNTAIN"]["buildingParts"]["BUILDING_PART_FOUNTAIN"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WOODEN_GATE_UNEXPOSED"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WOODEN_GATE_UNEXPOSED"]["manualUnlock"] = false
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WOODEN_GATE_UNEXPOSED"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WOODEN_GATE_UNEXPOSED"]["buildingParts"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WOODEN_GATE_UNEXPOSED"]["buildingParts"]["BUILDING_PART_WOODEN_GATE"] = {}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WOODEN_GATE_UNEXPOSED"]["buildingParts"]["BUILDING_PART_WOODEN_GATE"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WOODEN_GATE_UNEXPOSED"]["buildingParts"]["BUILDING_PART_WOODEN_GATE"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["creative"]["buildings"]["BUILDING_WOODEN_GATE_UNEXPOSED"]["buildingParts"]["BUILDING_PART_WOODEN_GATE"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}

	FCtemplates["profiles"]["creative"]["resources"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["BERRIES"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["BERRIES"]["displayInToolbar"] = true
	FCtemplates["profiles"]["creative"]["resources"]["BERRIES"]["buyPrice"] = { Resource = "GOLD", Quantity = 8 }
	FCtemplates["profiles"]["creative"]["resources"]["FISH"]= {}
	FCtemplates["profiles"]["creative"]["resources"]["FISH"]["displayInToolbar"] = true
	FCtemplates["profiles"]["creative"]["resources"]["FISH"]["buyPrice"] = { Resource = "GOLD", Quantity = 10 }
	FCtemplates["profiles"]["creative"]["resources"]["BREAD"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["BREAD"]["displayInToolbar"] = true
	FCtemplates["profiles"]["creative"]["resources"]["BREAD"]["buyPrice"] = { Resource = "GOLD", Quantity = 12 }
	FCtemplates["profiles"]["creative"]["resources"]["DEER"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["DEER"]["displayInToolbar"] = false
	FCtemplates["profiles"]["creative"]["resources"]["DEER"]["buyPrice"] = { Resource = "GOLD", Quantity = 20 }
	FCtemplates["profiles"]["creative"]["resources"]["CLOTHES"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["CLOTHES"]["displayInToolbar"] = true
	FCtemplates["profiles"]["creative"]["resources"]["CLOTHES"]["buyPrice"] = { Resource = "GOLD", Quantity = 10 }
	FCtemplates["profiles"]["creative"]["resources"]["WINE"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["WINE"]["displayInToolbar"] = false
	FCtemplates["profiles"]["creative"]["resources"]["WINE"]["buyPrice"] = { Resource = "GOLD", Quantity = 20 }
	FCtemplates["profiles"]["creative"]["resources"]["HERBS"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["HERBS"]["displayInToolbar"] = false
	FCtemplates["profiles"]["creative"]["resources"]["HERBS"]["buyPrice"] = { Resource = "GOLD", Quantity = 15 }
	FCtemplates["profiles"]["creative"]["resources"]["HONEY"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["HONEY"]["displayInToolbar"] = false
	FCtemplates["profiles"]["creative"]["resources"]["HONEY"]["buyPrice"] = { Resource = "GOLD", Quantity = 15 }
	FCtemplates["profiles"]["creative"]["resources"]["FAITH"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["FAITH"]["displayInToolbar"] = true
	FCtemplates["profiles"]["creative"]["resources"]["FAITH"]["buyPrice"] = { Resource = "GOLD", Quantity = 2 }
	FCtemplates["profiles"]["creative"]["resources"]["COAL"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["COAL"]["displayInToolbar"] = false
	FCtemplates["profiles"]["creative"]["resources"]["COAL"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["creative"]["resources"]["FLOUR"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["FLOUR"]["displayInToolbar"] = false
	FCtemplates["profiles"]["creative"]["resources"]["FLOUR"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["creative"]["resources"]["GLASS"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["GLASS"]["displayInToolbar"] = false
	FCtemplates["profiles"]["creative"]["resources"]["GLASS"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["creative"]["resources"]["GOLD"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["GOLD"]["displayInToolbar"] = true
	FCtemplates["profiles"]["creative"]["resources"]["GOLD"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["creative"]["resources"]["GRAPES"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["GRAPES"]["displayInToolbar"] = false
	FCtemplates["profiles"]["creative"]["resources"]["GRAPES"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["creative"]["resources"]["HEMP"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["HEMP"]["displayInToolbar"] = false
	FCtemplates["profiles"]["creative"]["resources"]["HEMP"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["creative"]["resources"]["HOP"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["HOP"]["displayInToolbar"] = false
	FCtemplates["profiles"]["creative"]["resources"]["HOP"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["creative"]["resources"]["IRON"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["IRON"]["displayInToolbar"] = false
	FCtemplates["profiles"]["creative"]["resources"]["IRON"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["creative"]["resources"]["IRON_ORE"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["IRON_ORE"]["displayInToolbar"] = false
	FCtemplates["profiles"]["creative"]["resources"]["IRON_ORE"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["creative"]["resources"]["LEATHER"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["LEATHER"]["displayInToolbar"] = false
	FCtemplates["profiles"]["creative"]["resources"]["LEATHER"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["creative"]["resources"]["MARBLE"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["MARBLE"]["displayInToolbar"] = false
	FCtemplates["profiles"]["creative"]["resources"]["MARBLE"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["creative"]["resources"]["BEER"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["BEER"]["displayInToolbar"] = true
	FCtemplates["profiles"]["creative"]["resources"]["BEER"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["creative"]["resources"]["PLANK"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["PLANK"]["displayInToolbar"] = true
	FCtemplates["profiles"]["creative"]["resources"]["PLANK"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["creative"]["resources"]["POLISHED_STONE"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["POLISHED_STONE"]["displayInToolbar"] = false
	FCtemplates["profiles"]["creative"]["resources"]["POLISHED_STONE"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["creative"]["resources"]["QUARTZ"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["QUARTZ"]["displayInToolbar"] = false
	FCtemplates["profiles"]["creative"]["resources"]["QUARTZ"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["creative"]["resources"]["STONE"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["STONE"]["displayInToolbar"] = true
	FCtemplates["profiles"]["creative"]["resources"]["STONE"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["creative"]["resources"]["TOOL"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["TOOL"]["displayInToolbar"] = true
	FCtemplates["profiles"]["creative"]["resources"]["TOOL"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["creative"]["resources"]["WATER"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["WATER"]["displayInToolbar"] = false
	FCtemplates["profiles"]["creative"]["resources"]["WATER"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["creative"]["resources"]["WEAPON"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["WEAPON"]["displayInToolbar"] = false
	FCtemplates["profiles"]["creative"]["resources"]["WEAPON"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["creative"]["resources"]["WHEAT"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["WHEAT"]["displayInToolbar"] = false
	FCtemplates["profiles"]["creative"]["resources"]["WHEAT"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["creative"]["resources"]["WOOD"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["WOOD"]["displayInToolbar"] = true
	FCtemplates["profiles"]["creative"]["resources"]["WOOD"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["creative"]["resources"]["WOOL"]= {}
	FCtemplates["profiles"]["creative"]["resources"]["WOOL"]["displayInToolbar"] = false
	FCtemplates["profiles"]["creative"]["resources"]["WOOL"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["creative"]["resources"]["WOOLEN_CLOTH"] = {}
	FCtemplates["profiles"]["creative"]["resources"]["WOOLEN_CLOTH"]["displayInToolbar"] = false
	FCtemplates["profiles"]["creative"]["resources"]["WOOLEN_CLOTH"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }

	FCtemplates["profiles"]["creative"]["tradingVillages"] = {}
	

	jstr = json.encode (FCtemplates["profiles"]["creative"], { indent = false }) 
	FC:writeFileAsString("config\\profiles\\creative.json", jstr)
end




if not FC:fileExists("config\\profiles\\vanilla.json") then

	FCtemplates["profiles"]["vanilla"] = {}
	FCtemplates["profiles"]["vanilla"]["version"] = 0.5
	FCtemplates["profiles"]["vanilla"]["balancing"]={}
	FCtemplates["profiles"]["vanilla"]["balancing"]["dayDuration"] = 60
	FCtemplates["profiles"]["vanilla"]["balancing"]["startingFamilies"] = 4
	FCtemplates["profiles"]["vanilla"]["balancing"]["minHappiness"] = -30
--	FCtemplates["profiles"]["vanilla"]["balancing"]["VillagerStatusQuota"] = "VILLAGER_STATUS_QUOTA_DEFAULT"
	FCtemplates["profiles"]["vanilla"]["balancing"]["territoryPrice"] = {{Resource = "GOLD",Quantity = 500}}
	FCtemplates["profiles"]["vanilla"]["balancing"]["territoryTaxes"] = {{{Resource = "GOLD",Quantity = 0}},{{Resource = "GOLD",Quantity = 10}},{{Resource = "GOLD",Quantity = 25}},{{Resource = "GOLD",Quantity = 50}}}
	FCtemplates["profiles"]["vanilla"]["balancing"]["startingTileRequirement"] = {{Resource = "BERRIES", Quantity = 1},{Resource = "STONE", Quantity = 1}}
	FCtemplates["profiles"]["vanilla"]["balancing"]["daysBetweenEvents"] = 30
	FCtemplates["profiles"]["vanilla"]["balancing"]["daysToFirstEvent"] = 15
	FCtemplates["profiles"]["vanilla"]["balancing"]["goldCapacity"] = 500
	FCtemplates["profiles"]["vanilla"]["balancing"]["treeGrowSpeed"] = 0.001
	FCtemplates["profiles"]["vanilla"]["balancing"]["initialTreeSize"] = 0.1
	FCtemplates["profiles"]["vanilla"]["balancing"]["minSizeToGather"] = 0.75
	FCtemplates["profiles"]["vanilla"]["balancing"]["minSizeToHunt"] = 0.75
	FCtemplates["profiles"]["vanilla"]["balancing"]["fertilityImpactHardRadius"] = 3.5
	FCtemplates["profiles"]["vanilla"]["balancing"]["fertilityImpactSoftRadius"] = 15
	FCtemplates["profiles"]["vanilla"]["balancing"]["fertilityImpact"] = 0.01
--	FCtemplates["profiles"]["vanilla"]["balancing"]["DelayedQuestList"] = {{QuestResource = "INFLUENCE_QUEST", Delay = 0}}

	FCtemplates["profiles"]["vanilla"]["buildings"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WOODCUTTER_CAMP"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WOODCUTTER_CAMP"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WOODCUTTER_CAMP"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WOODCUTTER_CAMP"]["buildingParts"]= {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WOODCUTTER_CAMP"]["buildingParts"]["BUILDING_PART_WOODCUTTER_CAMP"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WOODCUTTER_CAMP"]["buildingParts"]["BUILDING_PART_WOODCUTTER_CAMP"]["upfront"] = {{Resource = "GOLD", Quantity = 20}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WOODCUTTER_CAMP"]["buildingParts"]["BUILDING_PART_WOODCUTTER_CAMP"]["maintenance"] = {{Resource = "GOLD", Quantity = 1}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WOODCUTTER_CAMP"]["buildingParts"]["BUILDING_PART_WOODCUTTER_CAMP"]["buildingCost"] = {{Resource = "TOOL", Quantity = 5}}	
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_STONECUTTER_CAMP"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_STONECUTTER_CAMP"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_STONECUTTER_CAMP"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_STONECUTTER_CAMP"]["buildingParts"]= {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_STONECUTTER_CAMP"]["buildingParts"]["BUILDING_PART_STONECUTTER_CAMP"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_STONECUTTER_CAMP"]["buildingParts"]["BUILDING_PART_STONECUTTER_CAMP"]["upfront"] = {{Resource = "GOLD", Quantity = 25}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_STONECUTTER_CAMP"]["buildingParts"]["BUILDING_PART_STONECUTTER_CAMP"]["maintenance"] = {{Resource = "GOLD", Quantity = 1}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_STONECUTTER_CAMP"]["buildingParts"]["BUILDING_PART_STONECUTTER_CAMP"]["buildingCost"] = {{Resource = "WOOD", Quantity = 10},{Resource = "TOOL", Quantity = 5}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_GATHERING_CAMP"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_GATHERING_CAMP"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_GATHERING_CAMP"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_GATHERING_CAMP"]["buildingParts"]= {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_GATHERING_CAMP"]["buildingParts"]["BUILDING_PART_GATHERING_CAMP"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_GATHERING_CAMP"]["buildingParts"]["BUILDING_PART_GATHERING_CAMP"]["upfront"] = {{Resource = "GOLD", Quantity = 20}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_GATHERING_CAMP"]["buildingParts"]["BUILDING_PART_GATHERING_CAMP"]["maintenance"] = {{Resource = "GOLD", Quantity = 1}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_GATHERING_CAMP"]["buildingParts"]["BUILDING_PART_GATHERING_CAMP"]["buildingCost"] = {{Resource = "WOOD", Quantity = 10}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WELL_UNEXPOSED"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WELL_UNEXPOSED"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WELL_UNEXPOSED"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WELL_UNEXPOSED"]["buildingParts"]= {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WELL_UNEXPOSED"]["buildingParts"]["BUILDING_PART_WELL"] ={}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WELL_UNEXPOSED"]["buildingParts"]["BUILDING_PART_WELL"]["upfront"] = {{Resource = "GOLD", Quantity = 20}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WELL_UNEXPOSED"]["buildingParts"]["BUILDING_PART_WELL"]["maintenance"] = {{Resource = "GOLD", Quantity = 1}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WELL_UNEXPOSED"]["buildingParts"]["BUILDING_PART_WELL"]["buildingCost"] = {{Resource = "WOOD", Quantity = 10},{Resource = "STONE", Quantity = 5}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_SAWMILL"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_SAWMILL"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_SAWMILL"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_SAWMILL"]["buildingParts"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_SAWMILL"]["buildingParts"]["BUILDING_PART_SAWMILL"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_SAWMILL"]["buildingParts"]["BUILDING_PART_SAWMILL"]["upfront"] = {{Resource = "GOLD", Quantity = 100}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_SAWMILL"]["buildingParts"]["BUILDING_PART_SAWMILL"]["maintenance"] = {{Resource = "GOLD", Quantity = 2}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_SAWMILL"]["buildingParts"]["BUILDING_PART_SAWMILL"]["buildingCost"] = {{Resource = "WOOD", Quantity = 20},{Resource = "STONE", Quantity = 10}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WAREHOUSE"] ={}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WAREHOUSE"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WAREHOUSE"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WAREHOUSE"]["buildingParts"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WAREHOUSE"]["buildingParts"]["BUILDING_PART_WAREHOUSE"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WAREHOUSE"]["buildingParts"]["BUILDING_PART_WAREHOUSE"]["upfront"] = {{Resource = "GOLD", Quantity = 50}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WAREHOUSE"]["buildingParts"]["BUILDING_PART_WAREHOUSE"]["maintenance"] = {{Resource = "GOLD", Quantity = 5}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WAREHOUSE"]["buildingParts"]["BUILDING_PART_WAREHOUSE"]["buildingCost"] = {{Resource = "PLANK", Quantity = 15},{Resource = "STONE", Quantity = 5}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FISHING_HUT"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FISHING_HUT"]["manualUnlock"] = true
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FISHING_HUT"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FISHING_HUT"]["buildingParts"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FISHING_HUT"]["buildingParts"]["BUILDING_PART_FISHING_HUT"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FISHING_HUT"]["buildingParts"]["BUILDING_PART_FISHING_HUT"]["upfront"] = {{Resource = "GOLD", Quantity = 20}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FISHING_HUT"]["buildingParts"]["BUILDING_PART_FISHING_HUT"]["maintenance"] = {{Resource = "GOLD", Quantity = 2}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FISHING_HUT"]["buildingParts"]["BUILDING_PART_FISHING_HUT"]["buildingCost"] = {{Resource = "WOOD", Quantity = 20}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_HUNTERS_HUT"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_HUNTERS_HUT"]["manualUnlock"] = true
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_HUNTERS_HUT"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FORESTER"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FORESTER"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FORESTER"]["requirement"] = {Status ="SERF" , Quantity = 12}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FORESTER"]["buildingParts"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FORESTER"]["buildingParts"]["BUILDING_PART_FORESTER"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FORESTER"]["buildingParts"]["BUILDING_PART_FORESTER"]["upfront"] = {{Resource = "GOLD", Quantity = 50}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FORESTER"]["buildingParts"]["BUILDING_PART_FORESTER"]["maintenance"] = {{Resource = "GOLD", Quantity = 10}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FORESTER"]["buildingParts"]["BUILDING_PART_FORESTER"]["buildingCost"] = {{Resource = "PLANK", Quantity = 10}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_STONEMASON_HUT"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_STONEMASON_HUT"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_STONEMASON_HUT"]["requirement"] = {Status ="SERF" , Quantity = 1}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_STONEMASON_HUT"]["buildingParts"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_STONEMASON_HUT"]["buildingParts"]["BUILDING_PART_STONEMASON"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_STONEMASON_HUT"]["buildingParts"]["BUILDING_PART_STONEMASON"]["upfront"] = {{Resource = "GOLD", Quantity = 25}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_STONEMASON_HUT"]["buildingParts"]["BUILDING_PART_STONEMASON"]["maintenance"] = {{Resource = "GOLD", Quantity = 1}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_STONEMASON_HUT"]["buildingParts"]["BUILDING_PART_STONEMASON"]["buildingCost"] = {{Resource = "WOOD", Quantity = 10},{Resource = "WOOLEN_CLOTH", Quantity = 5}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_HOUSE_LVL1_UNEXPOSED"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_HOUSE_LVL1_UNEXPOSED"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_HOUSE_LVL1_UNEXPOSED"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_HOUSE_LVL1_UNEXPOSED"]["buildingParts"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_HOUSE_LVL1_UNEXPOSED"]["buildingParts"]["BUILDING_PART_HOUSE_LVL1"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_HOUSE_LVL1_UNEXPOSED"]["buildingParts"]["BUILDING_PART_HOUSE_LVL1"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_HOUSE_LVL1_UNEXPOSED"]["buildingParts"]["BUILDING_PART_HOUSE_LVL1"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_HOUSE_LVL1_UNEXPOSED"]["buildingParts"]["BUILDING_PART_HOUSE_LVL1"]["buildingCost"] = {{Resource = "WOOD", Quantity = 10}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_SHEEP_FARM"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_SHEEP_FARM"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_SHEEP_FARM"]["requirement"] = {Status ="COMMONER" , Quantity = 5}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_SHEEP_FARM"]["buildingParts"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_SHEEP_FARM"]["buildingParts"]["BUILDING_PART_SHEEP_FARM"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_SHEEP_FARM"]["buildingParts"]["BUILDING_PART_SHEEP_FARM"]["upfront"] = {{Resource = "GOLD", Quantity = 50}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_SHEEP_FARM"]["buildingParts"]["BUILDING_PART_SHEEP_FARM"]["maintenance"] = {{Resource = "GOLD", Quantity = 2}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_SHEEP_FARM"]["buildingParts"]["BUILDING_PART_SHEEP_FARM"]["buildingCost"] = {{Resource = "WOOD", Quantity = 10},{Resource = "STONE", Quantity = 10},{Resource = "TOOL", Quantity = 5}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WEAVER_HUT"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WEAVER_HUT"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WEAVER_HUT"]["requirement"] = {Status ="COMMONER" , Quantity = 5}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WEAVER_HUT"]["buildingParts"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WEAVER_HUT"]["buildingParts"]["BUILDING_PART_WEAVER_HUT"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WEAVER_HUT"]["buildingParts"]["BUILDING_PART_WEAVER_HUT"]["upfront"] = {{Resource = "GOLD", Quantity = 100}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WEAVER_HUT"]["buildingParts"]["BUILDING_PART_WEAVER_HUT"]["maintenance"] = {{Resource = "GOLD", Quantity = 2}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WEAVER_HUT"]["buildingParts"]["BUILDING_PART_WEAVER_HUT"]["buildingCost"] = {{Resource = "STONE", Quantity = 10},{Resource = "TOOL", Quantity = 5},{Resource = "PLANK", Quantity = 10}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_TAILOR_WORKSHOP"]= {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_TAILOR_WORKSHOP"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_TAILOR_WORKSHOP"]["requirement"] = {Status ="COMMONER" , Quantity = 5}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_TAILOR_WORKSHOP"]["buildingParts"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_TAILOR_WORKSHOP"]["buildingParts"]["BUILDING_PART_TAILOR_WORKSHOP"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_TAILOR_WORKSHOP"]["buildingParts"]["BUILDING_PART_TAILOR_WORKSHOP"]["upfront"] = {{Resource = "GOLD", Quantity = 50}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_TAILOR_WORKSHOP"]["buildingParts"]["BUILDING_PART_TAILOR_WORKSHOP"]["maintenance"] = {{Resource = "GOLD", Quantity = 1}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_TAILOR_WORKSHOP"]["buildingParts"]["BUILDING_PART_TAILOR_WORKSHOP"]["buildingCost"] = {{Resource = "PLANK", Quantity = 5},{Resource = "POLISHED_STONE", Quantity = 5},{Resource = "TOOL", Quantity = 2}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WHEAT_FARM"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WHEAT_FARM"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WHEAT_FARM"]["requirement"] = {Status ="COMMONER" , Quantity = 1}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WHEAT_FARM"]["buildingParts"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WHEAT_FARM"]["buildingParts"]["BUILDING_PART_WHEAT_FARM"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WHEAT_FARM"]["buildingParts"]["BUILDING_PART_WHEAT_FARM"]["upfront"] = {{Resource = "GOLD", Quantity = 100}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WHEAT_FARM"]["buildingParts"]["BUILDING_PART_WHEAT_FARM"]["maintenance"] = {{Resource = "GOLD", Quantity = 2}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WHEAT_FARM"]["buildingParts"]["BUILDING_PART_WHEAT_FARM"]["buildingCost"] = {{Resource = "PLANK", Quantity = 20},{Resource = "TOOL", Quantity = 10}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WINDMILL"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WINDMILL"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WINDMILL"]["requirement"] = {Status ="COMMONER" , Quantity = 1}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WINDMILL"]["buildingParts"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WINDMILL"]["buildingParts"]["BUILDING_PART_WINDMILL"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WINDMILL"]["buildingParts"]["BUILDING_PART_WINDMILL"]["upfront"] = {{Resource = "GOLD", Quantity = 200}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WINDMILL"]["buildingParts"]["BUILDING_PART_WINDMILL"]["maintenance"] = {{Resource = "GOLD", Quantity = 2}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WINDMILL"]["buildingParts"]["BUILDING_PART_WINDMILL"]["buildingCost"] = {{Resource = "STONE", Quantity = 10},{Resource = "PLANK", Quantity = 10},{Resource = "TOOL", Quantity = 10}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_BAKERY"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_BAKERY"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_BAKERY"]["requirement"] = {Status ="COMMONER" , Quantity = 1}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_BAKERY"]["buildingParts"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_BAKERY"]["buildingParts"]["BUILDING_PART_BAKERY"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_BAKERY"]["buildingParts"]["BUILDING_PART_BAKERY"]["upfront"] = {{Resource = "GOLD", Quantity = 300}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_BAKERY"]["buildingParts"]["BUILDING_PART_BAKERY"]["maintenance"] = {{Resource = "GOLD", Quantity = 3}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_BAKERY"]["buildingParts"]["BUILDING_PART_BAKERY"]["buildingCost"] = {{Resource = "STONE", Quantity = 20},{Resource = "PLANK", Quantity = 20},{Resource = "TOOL", Quantity = 20}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_IRON_MINE"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_IRON_MINE"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_IRON_MINE"]["requirement"] = {Status ="COMMONER" , Quantity = 20}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_IRON_MINE"]["buildingParts"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_IRON_MINE"]["buildingParts"]["BUILDING_PART_IRON_MINE"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_IRON_MINE"]["buildingParts"]["BUILDING_PART_IRON_MINE"]["upfront"] = {{Resource = "GOLD", Quantity = 100}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_IRON_MINE"]["buildingParts"]["BUILDING_PART_IRON_MINE"]["maintenance"] = {{Resource = "GOLD", Quantity = 5}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_IRON_MINE"]["buildingParts"]["BUILDING_PART_IRON_MINE"]["buildingCost"] = {{Resource = "PLANK", Quantity = 20},{Resource = "TOOL", Quantity = 10}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_IRON_SMELTER"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_IRON_SMELTER"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_IRON_SMELTER"]["requirement"] = {Status ="COMMONER" , Quantity = 20}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_IRON_SMELTER"]["buildingParts"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_IRON_SMELTER"]["buildingParts"]["BUILDING_PART_IRON_SMELTER"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_IRON_SMELTER"]["buildingParts"]["BUILDING_PART_IRON_SMELTER"]["upfront"] = {{Resource = "GOLD", Quantity = 150}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_IRON_SMELTER"]["buildingParts"]["BUILDING_PART_IRON_SMELTER"]["maintenance"] = {{Resource = "GOLD", Quantity = 2}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_IRON_SMELTER"]["buildingParts"]["BUILDING_PART_IRON_SMELTER"]["buildingCost"] = {{Resource = "PLANK", Quantity = 20},{Resource = "STONE", Quantity = 10},{Resource = "TOOL", Quantity = 10}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_BLACKSMITH"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_BLACKSMITH"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_BLACKSMITH"]["requirement"] = {Status ="COMMONER" , Quantity = 20}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_BLACKSMITH"]["buildingParts"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_BLACKSMITH"]["buildingParts"]["BUILDING_PART_BLACKSMITH"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_BLACKSMITH"]["buildingParts"]["BUILDING_PART_BLACKSMITH"]["upfront"] = {{Resource = "GOLD", Quantity = 200}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_BLACKSMITH"]["buildingParts"]["BUILDING_PART_BLACKSMITH"]["maintenance"] = {{Resource = "GOLD", Quantity = 5}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_BLACKSMITH"]["buildingParts"]["BUILDING_PART_BLACKSMITH"]["buildingCost"] = {{Resource = "PLANK", Quantity = 20},{Resource = "STONE", Quantity = 20},{Resource = "TOOL", Quantity = 20}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_COAL_HUT"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_COAL_HUT"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_COAL_HUT"]["requirement"] = {Status ="COMMONER" , Quantity = 20}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_COAL_HUT"]["buildingParts"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_COAL_HUT"]["buildingParts"]["BUILDING_PART_COAL_HUT"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_COAL_HUT"]["buildingParts"]["BUILDING_PART_COAL_HUT"]["upfront"] = {{Resource = "GOLD", Quantity = 100}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_COAL_HUT"]["buildingParts"]["BUILDING_PART_COAL_HUT"]["maintenance"] = {{Resource = "GOLD", Quantity = 5}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_COAL_HUT"]["buildingParts"]["BUILDING_PART_COAL_HUT"]["buildingCost"] = {{Resource = "WOOD", Quantity = 20},{Resource = "TOOL", Quantity = 10}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_VINEYARD"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_VINEYARD"]["manualUnlock"] = true
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_VINEYARD"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_VINEYARD"]["buildingParts"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_VINEYARD"]["buildingParts"]["BUILDING_PART_VINEYARD"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_VINEYARD"]["buildingParts"]["BUILDING_PART_VINEYARD"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_VINEYARD"]["buildingParts"]["BUILDING_PART_VINEYARD"]["maintenance"] = {{Resource = "GOLD", Quantity = 2}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_VINEYARD"]["buildingParts"]["BUILDING_PART_VINEYARD"]["buildingCost"] = {{Resource = "PLANK", Quantity = 10},{Resource = "STONE", Quantity = 5},{Resource = "TOOL", Quantity = 2}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_MARKET"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_MARKET"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_MARKET"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_MARKET"]["buildingParts"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_MARKET"]["buildingParts"]["BUILDING_PART_MARKET_FOOD_STALL"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_MARKET"]["buildingParts"]["BUILDING_PART_MARKET_FOOD_STALL"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_MARKET"]["buildingParts"]["BUILDING_PART_MARKET_FOOD_STALL"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_MARKET"]["buildingParts"]["BUILDING_PART_MARKET_FOOD_STALL"]["buildingCost"] = {{Resource = "WOOD", Quantity = 10}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_MARKET"]["buildingParts"]["BUILDING_PART_MARKET_GOODS_STALL"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_MARKET"]["buildingParts"]["BUILDING_PART_MARKET_GOODS_STALL"]["upfront"] = {{Resource = "GOLD", Quantity = 50}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_MARKET"]["buildingParts"]["BUILDING_PART_MARKET_GOODS_STALL"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_MARKET"]["buildingParts"]["BUILDING_PART_MARKET_GOODS_STALL"]["buildingCost"] = {{Resource = "WOOD", Quantity = 10}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_MARKET"]["buildingParts"]["BUILDING_PART_MARKET_LUXURY_STALL"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_MARKET"]["buildingParts"]["BUILDING_PART_MARKET_LUXURY_STALL"]["upfront"] = {{Resource = "GOLD", Quantity = 150}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_MARKET"]["buildingParts"]["BUILDING_PART_MARKET_LUXURY_STALL"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_MARKET"]["buildingParts"]["BUILDING_PART_MARKET_LUXURY_STALL"]["buildingCost"] = {{Resource = "WOOD", Quantity = 10}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_WOODEN_BRIDGE"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_WOODEN_BRIDGE"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_WOODEN_BRIDGE"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_RUSTIC_LORD_MANOR"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_RUSTIC_LORD_MANOR"]["manualUnlock"] = true
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_RUSTIC_LORD_MANOR"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_WOODEN_KEEP"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_WOODEN_KEEP"]["manualUnlock"] = true
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_WOODEN_KEEP"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_MONASTERY"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_MONASTERY"]["manualUnlock"] = true
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_MONASTERY"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_CHURCH"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_CHURCH"]["manualUnlock"] = true
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_CHURCH"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_RUSTIC_CHURCH"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_RUSTIC_CHURCH"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_RUSTIC_CHURCH"]["requirement"] = {Status ="SERF" , Quantity = 1}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_STONE_BRIDGE"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_STONE_BRIDGE"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["MONUMENT_STONE_BRIDGE"]["requirement"] = {Status ="CITIZEN" , Quantity = 8}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_DECORATIVE_BUSH"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_DECORATIVE_BUSH"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_DECORATIVE_BUSH"]["requirement"] = {Status ="SERF" , Quantity = 1}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_DECORATIVE_BUSH"]["buildingParts"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_DECORATIVE_BUSH"]["buildingParts"]["BUILDING_PART_DECORATIVE_BUSH"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_DECORATIVE_BUSH"]["buildingParts"]["BUILDING_PART_DECORATIVE_BUSH"]["upfront"] = {{Resource = "GOLD", Quantity = 2}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_DECORATIVE_BUSH"]["buildingParts"]["BUILDING_PART_DECORATIVE_BUSH"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_DECORATIVE_BUSH"]["buildingParts"]["BUILDING_PART_DECORATIVE_BUSH"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_DECORATIVE_CYPRES"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_DECORATIVE_CYPRES"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_DECORATIVE_CYPRES"]["requirement"] = {Status ="CITIZEN" , Quantity = 10}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_DECORATIVE_CYPRES"]["buildingParts"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_DECORATIVE_CYPRES"]["buildingParts"]["BUILDING_PART_DECORATIVE_CYPRES"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_DECORATIVE_CYPRES"]["buildingParts"]["BUILDING_PART_DECORATIVE_CYPRES"]["upfront"] = {{Resource = "GOLD", Quantity = 10}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_DECORATIVE_CYPRES"]["buildingParts"]["BUILDING_PART_DECORATIVE_CYPRES"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_DECORATIVE_CYPRES"]["buildingParts"]["BUILDING_PART_DECORATIVE_CYPRES"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_DECORATIVE_TREE"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_DECORATIVE_TREE"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_DECORATIVE_TREE"]["requirement"] = {Status ="COMMONER" , Quantity = 6}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_DECORATIVE_TREE"]["buildingParts"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_DECORATIVE_TREE"]["buildingParts"]["BUILDING_PART_DECORATIVE_TREE"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_DECORATIVE_TREE"]["buildingParts"]["BUILDING_PART_DECORATIVE_TREE"]["upfront"] = {{Resource = "GOLD", Quantity = 5}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_DECORATIVE_TREE"]["buildingParts"]["BUILDING_PART_DECORATIVE_TREE"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_DECORATIVE_TREE"]["buildingParts"]["BUILDING_PART_DECORATIVE_TREE"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FENCE"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FENCE"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FENCE"]["requirement"] = {Status ="SERF" , Quantity = 1}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FENCE"]["buildingParts"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FENCE"]["buildingParts"]["BUILDING_PART_FENCE"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FENCE"]["buildingParts"]["BUILDING_PART_FENCE"]["upfront"] = {{Resource = "GOLD", Quantity = 5},{Resource = "TOOL", Quantity = 1},{Resource = "PLANK", Quantity = 1}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FENCE"]["buildingParts"]["BUILDING_PART_FENCE"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FENCE"]["buildingParts"]["BUILDING_PART_FENCE"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_ROAD_SIGN"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_ROAD_SIGN"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_ROAD_SIGN"]["requirement"] = {Status ="COMMONER" , Quantity = 1}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FOUNTAIN"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FOUNTAIN"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FOUNTAIN"]["requirement"] = {Status ="CITIZEN" , Quantity = 10}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FOUNTAIN"]["buildingParts"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FOUNTAIN"]["buildingParts"]["BUILDING_PART_FOUNTAIN"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FOUNTAIN"]["buildingParts"]["BUILDING_PART_FOUNTAIN"]["upfront"] = {{Resource = "GOLD", Quantity = 500}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FOUNTAIN"]["buildingParts"]["BUILDING_PART_FOUNTAIN"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_FOUNTAIN"]["buildingParts"]["BUILDING_PART_FOUNTAIN"]["buildingCost"] = {{Resource = "TOOL", Quantity = 20},{Resource = "POLISHED_STONE", Quantity = 50}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WOODEN_GATE_UNEXPOSED"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WOODEN_GATE_UNEXPOSED"]["manualUnlock"] = false
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WOODEN_GATE_UNEXPOSED"]["requirement"] = {Status ="NEWCOMER" , Quantity = 0}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WOODEN_GATE_UNEXPOSED"]["buildingParts"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WOODEN_GATE_UNEXPOSED"]["buildingParts"]["BUILDING_PART_WOODEN_GATE"] = {}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WOODEN_GATE_UNEXPOSED"]["buildingParts"]["BUILDING_PART_WOODEN_GATE"]["upfront"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WOODEN_GATE_UNEXPOSED"]["buildingParts"]["BUILDING_PART_WOODEN_GATE"]["maintenance"] = {{Resource = "GOLD", Quantity = 0}}
	FCtemplates["profiles"]["vanilla"]["buildings"]["BUILDING_WOODEN_GATE_UNEXPOSED"]["buildingParts"]["BUILDING_PART_WOODEN_GATE"]["buildingCost"] = {{Resource = "WOOD", Quantity = 0}}

	FCtemplates["profiles"]["vanilla"]["resources"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["BERRIES"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["BERRIES"]["displayInToolbar"] = true
	FCtemplates["profiles"]["vanilla"]["resources"]["BERRIES"]["buyPrice"] = { Resource = "GOLD", Quantity = 8 }
	FCtemplates["profiles"]["vanilla"]["resources"]["FISH"]= {}
	FCtemplates["profiles"]["vanilla"]["resources"]["FISH"]["displayInToolbar"] = true
	FCtemplates["profiles"]["vanilla"]["resources"]["FISH"]["buyPrice"] = { Resource = "GOLD", Quantity = 10 }
	FCtemplates["profiles"]["vanilla"]["resources"]["BREAD"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["BREAD"]["displayInToolbar"] = true
	FCtemplates["profiles"]["vanilla"]["resources"]["BREAD"]["buyPrice"] = { Resource = "GOLD", Quantity = 12 }
	FCtemplates["profiles"]["vanilla"]["resources"]["DEER"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["DEER"]["displayInToolbar"] = false
	FCtemplates["profiles"]["vanilla"]["resources"]["DEER"]["buyPrice"] = { Resource = "GOLD", Quantity = 20 }
	FCtemplates["profiles"]["vanilla"]["resources"]["CLOTHES"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["CLOTHES"]["displayInToolbar"] = true
	FCtemplates["profiles"]["vanilla"]["resources"]["CLOTHES"]["buyPrice"] = { Resource = "GOLD", Quantity = 10 }
	FCtemplates["profiles"]["vanilla"]["resources"]["WINE"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["WINE"]["displayInToolbar"] = false
	FCtemplates["profiles"]["vanilla"]["resources"]["WINE"]["buyPrice"] = { Resource = "GOLD", Quantity = 20 }
	FCtemplates["profiles"]["vanilla"]["resources"]["HERBS"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["HERBS"]["displayInToolbar"] = false
	FCtemplates["profiles"]["vanilla"]["resources"]["HERBS"]["buyPrice"] = { Resource = "GOLD", Quantity = 15 }
	FCtemplates["profiles"]["vanilla"]["resources"]["HONEY"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["HONEY"]["displayInToolbar"] = false
	FCtemplates["profiles"]["vanilla"]["resources"]["HONEY"]["buyPrice"] = { Resource = "GOLD", Quantity = 15 }
	FCtemplates["profiles"]["vanilla"]["resources"]["FAITH"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["FAITH"]["displayInToolbar"] = true
	FCtemplates["profiles"]["vanilla"]["resources"]["FAITH"]["buyPrice"] = { Resource = "GOLD", Quantity = 2 }
	FCtemplates["profiles"]["vanilla"]["resources"]["COAL"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["COAL"]["displayInToolbar"] = false
	FCtemplates["profiles"]["vanilla"]["resources"]["COAL"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["vanilla"]["resources"]["FLOUR"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["FLOUR"]["displayInToolbar"] = false
	FCtemplates["profiles"]["vanilla"]["resources"]["FLOUR"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["vanilla"]["resources"]["GLASS"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["GLASS"]["displayInToolbar"] = false
	FCtemplates["profiles"]["vanilla"]["resources"]["GLASS"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["vanilla"]["resources"]["GOLD"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["GOLD"]["displayInToolbar"] = true
	FCtemplates["profiles"]["vanilla"]["resources"]["GOLD"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["vanilla"]["resources"]["GRAPES"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["GRAPES"]["displayInToolbar"] = false
	FCtemplates["profiles"]["vanilla"]["resources"]["GRAPES"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["vanilla"]["resources"]["HEMP"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["HEMP"]["displayInToolbar"] = false
	FCtemplates["profiles"]["vanilla"]["resources"]["HEMP"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["vanilla"]["resources"]["HOP"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["HOP"]["displayInToolbar"] = false
	FCtemplates["profiles"]["vanilla"]["resources"]["HOP"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["vanilla"]["resources"]["IRON"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["IRON"]["displayInToolbar"] = false
	FCtemplates["profiles"]["vanilla"]["resources"]["IRON"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["vanilla"]["resources"]["IRON_ORE"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["IRON_ORE"]["displayInToolbar"] = false
	FCtemplates["profiles"]["vanilla"]["resources"]["IRON_ORE"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["vanilla"]["resources"]["LEATHER"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["LEATHER"]["displayInToolbar"] = false
	FCtemplates["profiles"]["vanilla"]["resources"]["LEATHER"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["vanilla"]["resources"]["MARBLE"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["MARBLE"]["displayInToolbar"] = false
	FCtemplates["profiles"]["vanilla"]["resources"]["MARBLE"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["vanilla"]["resources"]["BEER"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["BEER"]["displayInToolbar"] = true
	FCtemplates["profiles"]["vanilla"]["resources"]["BEER"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["vanilla"]["resources"]["PLANK"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["PLANK"]["displayInToolbar"] = true
	FCtemplates["profiles"]["vanilla"]["resources"]["PLANK"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["vanilla"]["resources"]["POLISHED_STONE"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["POLISHED_STONE"]["displayInToolbar"] = false
	FCtemplates["profiles"]["vanilla"]["resources"]["POLISHED_STONE"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["vanilla"]["resources"]["QUARTZ"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["QUARTZ"]["displayInToolbar"] = false
	FCtemplates["profiles"]["vanilla"]["resources"]["QUARTZ"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["vanilla"]["resources"]["STONE"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["STONE"]["displayInToolbar"] = true
	FCtemplates["profiles"]["vanilla"]["resources"]["STONE"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["vanilla"]["resources"]["TOOL"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["TOOL"]["displayInToolbar"] = true
	FCtemplates["profiles"]["vanilla"]["resources"]["TOOL"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["vanilla"]["resources"]["WATER"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["WATER"]["displayInToolbar"] = false
	FCtemplates["profiles"]["vanilla"]["resources"]["WATER"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["vanilla"]["resources"]["WEAPON"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["WEAPON"]["displayInToolbar"] = false
	FCtemplates["profiles"]["vanilla"]["resources"]["WEAPON"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["vanilla"]["resources"]["WHEAT"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["WHEAT"]["displayInToolbar"] = false
	FCtemplates["profiles"]["vanilla"]["resources"]["WHEAT"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["vanilla"]["resources"]["WOOD"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["WOOD"]["displayInToolbar"] = true
	FCtemplates["profiles"]["vanilla"]["resources"]["WOOD"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["vanilla"]["resources"]["WOOL"]= {}
	FCtemplates["profiles"]["vanilla"]["resources"]["WOOL"]["displayInToolbar"] = false
	FCtemplates["profiles"]["vanilla"]["resources"]["WOOL"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }
	FCtemplates["profiles"]["vanilla"]["resources"]["WOOLEN_CLOTH"] = {}
	FCtemplates["profiles"]["vanilla"]["resources"]["WOOLEN_CLOTH"]["displayInToolbar"] = false
	FCtemplates["profiles"]["vanilla"]["resources"]["WOOLEN_CLOTH"]["buyPrice"] = { Resource = "GOLD", Quantity = 0 }

	FCtemplates["profiles"]["vanilla"]["tradingVillages"] = {}
	

	jstr = json.encode (FCtemplates["profiles"]["vanilla"], { indent = false }) 
	FC:writeFileAsString("config\\profiles\\vanilla.json", jstr)
end








